From 861fa89c1f2753a66182461f324b9b296ba9dcfb Mon Sep 17 00:00:00 2001
From: Wei Gao <gaowei66@huawei.com>
Date: Mon, 22 Feb 2021 18:35:09 +0800
Subject: [PATCH 1/2] cpu: adjust some time delay in cpu lifecycle test.

Signed-off-by: Wei Gao <gaowei66@huawei.com>
---
 device_model/src/cpu/mod.rs | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/device_model/src/cpu/mod.rs b/device_model/src/cpu/mod.rs
index d6c17f3..be4cc31 100644
--- a/device_model/src/cpu/mod.rs
+++ b/device_model/src/cpu/mod.rs
@@ -380,7 +380,7 @@ impl CPUInterface for CPU {
         let mut cpu_state = cpu_state.lock().unwrap();
 
         cpu_state = cvar
-            .wait_timeout(cpu_state, Duration::from_millis(16))
+            .wait_timeout(cpu_state, Duration::from_millis(32))
             .unwrap()
             .0;
 
@@ -632,7 +632,7 @@ impl CPUThreadWorker {
 
             #[cfg(test)]
             {
-                thread::sleep(Duration::from_millis(10));
+                thread::sleep(Duration::from_millis(5));
             }
         }
 
@@ -900,6 +900,9 @@ mod tests {
         drop(cpu_state);
 
         assert!(cpu_arc.resume().is_ok());
+        // Wait for CPU finish state change.
+        std::thread::sleep(Duration::from_millis(50));
+
         assert!(cpu_arc.destroy().is_ok());
 
         // Wait for CPU finish state change.
-- 
2.27.0

